Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine
Class DiscountDefProcessor

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.DiscountDefProcessor

Deprecated See BEA Commerce product offering

    @Deprecated
    public class DiscountDefProcessor

extends Object

Field Summary
`static String` | `cName` Deprecated See BEA Commerce product offering
`static DiscountComparator` | `comparator` Deprecated See BEA Commerce product offering

Constructor Summary
`DiscountDefProcessor()` Deprecated See BEA Commerce product offering

Method Summary
`static com.bea.commerce.ebusiness.price.service.internal.PricingContext` | `process(com.bea.commerce.ebusiness.price.service.internal.PricingContext context)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### comparator

    public static final DiscountComparator comparator

  Deprecated See BEA Commerce product offering

Constructor Detail

### DiscountDefProcessor

    public DiscountDefProcessor()

  Deprecated See BEA Commerce product offering

Method Detail

### process

    public static com.bea.commerce.ebusiness.price.service.internal.PricingContext process(com.bea.commerce.ebusiness.price.service.internal.PricingContext context)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved